Ruby trunk - Feature #13186
Gemify zlib
02/03/2017 12:38 PM - hsbt (Hiroshi SHIBATA)

Status: Closed

Priority: Normal

Assignee: hsbt (Hiroshi SHIBATA)
Target version: 25

Description

This issue is tracking for gem release of zlib module.

Related issues:
Related to Ruby trunk - Feature #5481: Gemifying Ruby standard library

Assigned

Associated revisions

Revision 367acdaa - 02/03/2017 12:39 PM - hsbt (Hiroshi SHIBATA)

Added initial gemspec for zlib module.
[Feature #13186]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57512 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 57512 - 02/03/2017 12:39 PM - hsbt (Hiroshi SHIBATA)
Added initial gemspec for zlib module.
[Feature #13186]
Revision 57512 - 02/03/2017 12:39 PM - hsbt (Hiroshi SHIBATA)
Added initial gemspec for zlib module.
[Feature #13186]
Revision 57512 - 02/03/2017 12:39 PM - hsbt (Hiroshi SHIBATA)
Added initial gemspec for zlib module.
[Feature #13186]
Revision fbdec818 - 02/04/2017 01:04 AM - nobu (Nobuyoshi Nakada)
test_gem.rb: exclude default gems
e test/rubygems/test_gem.rb: check difference to exclude default gems from the expected results
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57523 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 57523 - 02/04/2017 01:04 AM - nobu (Nobuyoshi Nakada)
test_gem.rb: exclude default gems
o test/rubygems/test_gem.rb: check difference to exclude default gems from the expected results
Revision 57523 - 02/04/2017 01:04 AM - nobu (Nobuyoshi Nakada)
test_gem.rb: exclude default gems
e test/rubygems/test_gem.rb: check difference to exclude default gems from the expected results
Revision 57523 - 02/04/2017 01:04 AM - nobu (Nobuyoshi Nakada)
test_gem.rb: exclude default gems

e test/rubygems/test_gem.rb: check difference to exclude default gems from the expected results

Revision 1492¢6f6 - 03/17/2017 04:36 AM - naruse (Yui NARUSE)
merge revision(s) 57523,57998: [Backport #13322]

test_gem.rb: exclude default gems

* test/rubygems/test_gem.rb: check difference to exclude default
gems from the expected results. [Feature #13186]

Merge rubygems-2.6.11

This version fixed regression of rubygems-2.6.10.
https://github.com/rubygems/rubygems/pull/1856

See details of changelogs for 2.6.11 release:
https://github.com/rubygems/rubygems/blob/adfcf40502716080bd9cdfdd2e43bd4296872784/History.txt#L3

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@58001 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 58001 - 03/17/2017 04:36 AM - naruse (Yui NARUSE)
merge revision(s) 57523,57998: [Backport #13322]
test_gem.rb: exclude default gems
* test/rubygems/test_gem.rb: check difference to exclude default
gems from the expected results. [Feature #13186]

Merge rubygems-2.6.11

This version fixed regression of rubygems-2.6.10.
https://github.com/rubygems/rubygems/pull/1856

See details of changelogs for 2.6.11 release:
https://github.com/rubygems/rubygems/blob/adfcf40502716080bd9cdfdd2e43bd4296872784/History.txt#L3

History

#1 - 02/03/2017 12:39 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Applied in changeset r57512.

Added initial gemspec for zlib module.

[Feature #13186]

#2 - 02/08/2017 09:57 AM - hsbt (Hiroshi SHIBATA)
- Related to Feature #5481: Gemifying Ruby standard library added

#3 - 05/12/2017 06:31 AM - hsbt (Hiroshi SHIBATA)

It's released on rubygems.
https://redmine.ruby-lang.org/projects/ruby-trunk/repository/trunk/revisions/57512
https://redmine.ruby-lang.org/issues/13186
https://rubygems.org/gems/zlib
